QScintilla: QsciLexerPostScript Class Reference

# QsciLexerPostScript Class Reference

The QsciLexerPostScript class encapsulates the Scintilla PostScript lexer. More...

`#include <qscilexerpostscript.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, DSCComment = 2,
  DSCCommentValue = 3, Number = 4, Name = 5,
  Keyword = 6, Literal = 7, ImmediateEvalLiteral = 8,
  ArrayParenthesis = 9, DictionaryParenthesis = 10, ProcedureParenthesis = 11,
  Text = 12, HexString = 13, Base85String = 14,
  BadStringCharacter = 15
  }

## Public Slots

- virtual void setTokenize (bool tokenize)
- virtual void setLevel (int level)
- virtual void setFoldCompact (bool fold)
- virtual void setFoldAtElse (bool fold)

## Public Member Functions

- QsciLexerPostScript (QObject *parent=0)
- virtual ~QsciLexerPostScript ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- QColor defaultColor (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- bool tokenize () const
- int level () const
- bool foldCompact () const
- bool foldAtElse () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerPostScript class encapsulates the Scintilla PostScript lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the PostScript lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  DSCComment | A DSC comment.
  DSCCommentValue | A DSC comment value.
  Number | A number.
  Name | A name.
  Keyword | A keyword.
  Literal | A literal.
  ImmediateEvalLiteral | An immediately evaluated literal.
  ArrayParenthesis | Array parenthesis.
  DictionaryParenthesis | Dictionary parenthesis.
  ProcedureParenthesis | Procedure parenthesis.
  Text | Text.
  HexString | A hexadecimal string.
  Base85String | A base85 string.
  BadStringCharacter | A bad string character.

## Constructor & Destructor Documentation

QsciLexerPostScript::QsciLexerPostScript | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerPostScript with parent parent. parent is typically the QsciScintilla instance.

virtual QsciLexerPostScript::~QsciLexerPostScript | ( |  | ) | `[virtual]`

Destroys the QsciLexerPostScript instance.

## Member Function Documentation

const char* QsciLexerPostScript::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QsciLexer.

const char* QsciLexerPostScript::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QsciLexer.

QColor QsciLexerPostScript::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

QFont QsciLexerPostScript::defaultFont | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QsciLexer.

QColor QsciLexerPostScript::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerPostScript::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string. Set 5 can be used to provide additional user defined keywords.

Reimplemented from QsciLexer.

QString QsciLexerPostScript::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerPostScript::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerPostScript::tokenize | ( |  | ) | const

Returns true if tokens should be marked.

See also:
  setTokenize()

int QsciLexerPostScript::level | ( |  | ) | const

Returns the PostScript level.

See also:
  setLevel()

bool QsciLexerPostScript::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

bool QsciLexerPostScript::foldAtElse | ( |  | ) | const

Returns true if else blocks can be folded.

See also:
  setFoldAtElse()

virtual void QsciLexerPostScript::setTokenize | ( | bool | tokenize | ) | `[virtual, slot]`

If tokenize is true then tokens are marked. The default is false.

See also:
  tokenize()

virtual void QsciLexerPostScript::setLevel | ( | int | level | ) | `[virtual, slot]`

The PostScript level is set to level. The default is 3.

See also:
  level()

virtual void QsciLexerPostScript::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

virtual void QsciLexerPostScript::setFoldAtElse | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then else blocks can be folded. The default is false.

See also:
  foldAtElse()

bool QsciLexerPostScript::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

bool QsciLexerPostScript::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.